use mail_parser::Message as ParsedMessage;

pub(crate) struct Message {
    uid: String,
    data: Vec<u8>,
}

impl Message {
    pub fn new(uid: String, data: Vec<u8>) -> Message {
        Message { uid, data }
    }

    pub(crate) fn get_parsed(&self) -> Option<ParsedMessage> {
        ParsedMessage::parse(&self.data)
    }

    pub fn get_uid(&self) -> &String {
        &self.uid
    }

    pub fn get_data(&self) -> &Vec<u8> {
        &self.data
    }
}